import { o as vue_exports } from "../ssr.js";
import { n as server_renderer_exports } from "./i18n-CXLOYfyq.js";
//#region resources/js/Components/InputLabel.vue?vue&type=script&setup=true&lang.ts
var InputLabel_vue_vue_type_script_setup_true_lang_default = /*@__PURE__*/ (0, vue_exports.defineComponent)({
	__name: "InputLabel",
	__ssrInlineRender: true,
	props: { value: {} },
	setup(__props) {
		return (_ctx, _push, _parent, _attrs) => {
			_push(`<label${(0, server_renderer_exports.ssrRenderAttrs)((0, vue_exports.mergeProps)({ class: "block text-sm font-medium text-gray-700 dark:text-gray-300" }, _attrs))}>`);
			if (__props.value) _push(`<span>${(0, server_renderer_exports.ssrInterpolate)(__props.value)}</span>`);
			else {
				_push(`<span>`);
				(0, server_renderer_exports.ssrRenderSlot)(_ctx.$slots, "default", {}, null, _push, _parent);
				_push(`</span>`);
			}
			_push(`</label>`);
		};
	}
});
//#endregion
//#region resources/js/Components/InputLabel.vue
var _sfc_setup = InputLabel_vue_vue_type_script_setup_true_lang_default.setup;
InputLabel_vue_vue_type_script_setup_true_lang_default.setup = (props, ctx) => {
	const ssrContext = (0, vue_exports.useSSRContext)();
	(ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Components/InputLabel.vue");
	return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
var InputLabel_default = InputLabel_vue_vue_type_script_setup_true_lang_default;
//#endregion
export { InputLabel_default as t };
